/**
 * OpenGL RedBook Shader.
 * Example 7.8
 */
#version 330 core

uniform mat4 MVPMatrix;
uniform mat4 MVMatrix;
uniform mat3 NormalMatrix;

in vec4 VertexPosition;
in vec3 VertexNormal;
in vec4 VertexColour;

out vec4 Position;
out vec3 Normal;
out vec4 Colour;
out int matIndex;

void main() {
    Colour = vec4(1.0, 1.0, 1.0, 1.0f);
    Normal = NormalMatrix * VertexNormal;
    Position = MVMatrix * VertexPosition;
    gl_Position = MVPMatrix * VertexPosition;
    matIndex = 0;
}